package com.zjsgfa.project.zt.mapper;

import java.util.List;

import com.zjsgfa.framework.aspectj.lang.annotation.DataSource;
import com.zjsgfa.framework.aspectj.lang.enums.DataSourceType;
import com.zjsgfa.project.zt.domain.CommonParam;
import com.zjsgfa.project.zt.domain.LjZtdfzh;

/**
 * 邻井-钻头得分综合Mapper接口
 * 
 * @author
 * @date 2025-06-30
 */
@DataSource(value = DataSourceType.MASTER)
public interface LjZtdfzhMapper 
{
    /**
     * 查询邻井-钻头得分综合
     * 
     * @param id 邻井-钻头得分综合主键
     * @return 邻井-钻头得分综合
     */
    public LjZtdfzh selectLjZtdfzhById(Long id);

    /**
     * 查询邻井-钻头得分综合列表
     * 
     * @param ljZtdfzh 邻井-钻头得分综合
     * @return 邻井-钻头得分综合集合
     */
    public List<LjZtdfzh> selectLjZtdfzhList(LjZtdfzh ljZtdfzh);

    /**
     * 新增邻井-钻头得分综合
     * 
     * @param ljZtdfzh 邻井-钻头得分综合
     * @return 结果
     */
    public int insertLjZtdfzh(LjZtdfzh ljZtdfzh);

    /**
     * 修改邻井-钻头得分综合
     * 
     * @param ljZtdfzh 邻井-钻头得分综合
     * @return 结果
     */
    public int updateLjZtdfzh(LjZtdfzh ljZtdfzh);

    /**
     * 删除邻井-钻头得分综合
     * 
     * @param id 邻井-钻头得分综合主键
     * @return 结果
     */
    public int deleteLjZtdfzhById(Long id);

    /**
     * 批量删除邻井-钻头得分综合
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLjZtdfzhByIds(Long[] ids);

    List<LjZtdfzh> getZtzhzzdfList(CommonParam param);

}
